Download it now!
Bug 77972 - UI: Better font selection in Japanese locale on Mac OSX.
Summary: UI: Better font selection in Japanese locale on Mac OSX.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.3.2 release
Hardware: Other Mac OS X (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CJK
  Show dependency treegraph
 
Reported: 2014-04-26 16:16 UTC by Tomofumi Yagi
Modified: 2018-06-03 19:54 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomofumi Yagi 2014-04-26 16:16:58 UTC
Problem description:

The problem is that Osaka font is used as UI font.
Expected behavior is that Hiragino Gothic font are used as UI font instead of Osaka font.

This problem will be solved by editing officecfg/registry/data/org/openoffice/VCL.xcu.
Comment 1 Owen Genat (retired) 2014-07-22 12:30:17 UTC
Seems like a reasonable request. Presumably the design / l10n teams will need to be consulted to determine how the change (if any) should be made.

For clarity, the two entries in the referenced location mentioning "Osaka" are both in the "ja" locale entries:

<prop oor:name="UI_FIXED" oor:type="xs:string" oor:op="replace">
   <value>HG ゴシックB Sun;HG-GothicB Sun;HG Mincho Light J;MS Pゴシック;Osaka;ヒラギノ角ゴ ProN W3;ヒラギノ角ゴ Pro W3;TLPゴシック;LXゴシック;HGPGothicB;IPA Pゴシック;東風ゴシック;さざなみゴシック;Kochi Gothic;UmePlus Gothic;Gothic</value>
</prop>

<prop oor:name="UI_SANS" oor:type="xs:string" oor:op="replace">
   <value>HG PゴシックB Sun;Osaka;ヒラギノ角ゴ ProN W3;ヒラギノ角ゴ Pro W3;HG-PGothicB Sun;HG PゴシックB;HG-PGothicB;HG-GothicB;UmePlus P Gothic;HG Mincho Light J;標準;TLPゴシック;LXゴシック;HGPGothicB;IPA Pゴシック;東風ゴシック;さざなみゴシック;Kochi Gothic;Gothic;Gnu-Unifont</value>
</prop>

Status set to NEW.
Comment 2 Matthew Francis 2015-04-08 06:37:15 UTC
This is an enhancement request

-> Severity: enhancement
Comment 3 Tomofumi Yagi 2015-06-09 15:17:05 UTC
(In reply to Matthew Francis from comment #2)
> This is an enhancement request
> 
> -> Severity: enhancement

Thanks,
I seem that this bug had resolved by the following commit.

commit e2a41b4415f59c2c6a75f40775a19c8ce4cbdb42
Author: Caolán McNamara <caolanm@redhat.com>
Date:   Mon Dec 15 14:04:08 2014 +0000

    don't screw around with the system font selection


After this commit, Hiragino Kaku Gothic font is used as UI font in Japanese locale, and Osaka font isn't used.
Comment 4 Adolfo Jayme 2016-04-05 07:28:35 UTC
In comment 4 a fix was identified, so I’m closing this report. Please don’t hesitate to reopen it if the problem resurfaces in the future.